<?php

   ini_set("display_errors", "off"); 
	//Código para incluir las librerias
	 include_once("../src/conexion.php");
	 

	 //Conexión con el servidor
	  $link=ConectarseServidor();

	 //Conexión con la base de datos
	  ConectarseBaseDatos($link);
 
	  
	  //realiza consulta a la base de datos
	  $sql = "SELECT id_cobrador,CONCAT(nombre,' ',apellido) nombre, id_zona,nombre_zona  FROM cobrador, zona
				WHERE zona = id_zona ORDER by nombre_zona"; 
     
	 	 
     $result=mysql_query($sql,$link);
	   
	   
     //crea nombre del archivo excel
    $nomArchivo = "ListadoZonas.csv";
	
	//permite lecto escritura (w+)
	$arch = fopen($nomArchivo,"w+");
	

	//pinta las columnas del excel (los encabezados)
	fwrite($arch,"id_zona;nombre_zona;id_cobrador;nombre"."\n");	
     
		 
	 //almacena en vector la informacion
	 while ($row = mysql_fetch_array($result)){
		
		fwrite($arch,$row["id_zona"].";".$row["nombre_zona"].";".$row["id_cobrador"].";".$row["nombre"]."\n");	
				
	}//fin del while
		
	//permite descargar Archivo de excel
	$basefichero = basename("ListadoZonas.csv");

	header( "Content-Type: application/octet-stream");
	header( "Content-Length: ".filesize("ListadoZonas.csv"));
	header( "Content-Disposition: attachment; filename=".$basefichero."");
	readfile("ListadoZonas.csv");	
			 
	 //cierra el archivo
	 fclose($arch);
		
	 //libera memoria
	 mysql_free_result ($result);

		
	 	
?>